common:
  api_name: bigtable
  api_version: v2
  organization_name: google-cloud
  service_yaml: bigtable.yaml
  gapic_yaml: v2/bigtable_gapic.yaml
  src_proto_paths:
  - v2
  proto_deps:
  - name: google-common-protos
artifacts:
- name: java_gapic
  type: GAPIC_ONLY
  language: JAVA
  publish_targets:
  - name: java
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-java.git
    directory_mappings:
    - dest: google-cloud-bigtable
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/java/google-cloud-bigtable-v2
- name: python_gapic
  type: GAPIC_ONLY
  language: PYTHON
  publish_targets:
  - name: python
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-python.git
    directory_mappings:
    - src: google/cloud/bigtable_v2
      dest: bigtable/google/cloud/bigtable_v2
    - src: tests/unit/gapic/v1
      dest: bigtable/tests/gapic
    - name: grpc
      src: google/cloud/proto
      dest: bigtable/google/cloud/proto
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/python/gapic-google-cloud-bigtable-v2
    - name: grpc
      dest: generated/python/proto-google-cloud-bigtable-v2
- name: php_gapic
  type: GAPIC_ONLY
  language: PHP
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/php/google-cloud-bigtable-v2
- name: ruby_gapic
  type: GAPIC_ONLY
  language: RUBY
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/ruby/google-cloud-bigtable
  - name: ruby
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-ruby.git
    directory_mappings:
    - src: lib/google/cloud/bigtable/v2
      dest: google-cloud-bigtable/lib/google/cloud/bigtable/v2
- name: go_gapic
  type: GAPIC_ONLY
  language: GO
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/go/vendor/cloud.google.com/go/google-cloud-bigtable-v2/vendor
  - name: go
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-go.git
    directory_mappings:
    - dest: bigtable/apiv2
- name: csharp_gapic
  type: GAPIC_ONLY
  language: CSHARP
- name: nodejs_gapic
  type: GAPIC_ONLY
  language: NODEJS
  publish_targets:
  - name: nodejs
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-node.git
    directory_mappings:
    - src: src/v2
      dest: packages/bigtable/src/v2
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/nodejs/bigtable
- name: gapic_config
  type: GAPIC_CONFIG
